curl --request GET \
--url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/spend/{spendId} \
--header 'Authorization: Bearer <token>'{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}Retrieve details of a specific campaign spend item using its spendId. This endpoint allows you to access information about the spend associated with a particular campaign, identified by the campaignGuid.
curl --request GET \
--url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/spend/{spendId} \
--header 'Authorization: Bearer <token>'{
"amount": 123,
"createdAt": 123,
"id": "<string>",
"name": "<string>",
"order": 123,
"updatedAt": 123,
"description": "<string>"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier of the campaign.
The unique identifier of the spend item to retrieve.
successful operation
The monetary amount of the spend item, represented as a number.
A Unix timestamp in milliseconds indicating when the spend item was created.
The unique identifier for the spend item, represented as a string.
The name of the spend item, represented as a string.
An integer that specifies the order of the spend item.
A Unix timestamp in milliseconds indicating when the spend item was last updated.
A brief description of the spend item, represented as a string.
Was this page helpful?